net.sf.jasperreports.components.barcode4j

## Class POSTNETComponent

- java.lang.Object
- - net.sf.jasperreports.components.barcode4j.BarcodeComponent
  - - net.sf.jasperreports.components.barcode4j.POSTNETComponent

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, Component, JRChangeEventsSupport, JRCloneable

      public class POSTNETComponent
      extends BarcodeComponent

  Version:
    $Id: POSTNETComponent.java 5877 2013-01-07 19:51:14Z teodord $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `PROPERTY_BASELINE_POSITION`
    `static java.lang.String` | `PROPERTY_CHECKSUM_MODE`
    `static java.lang.String` | `PROPERTY_DISPLAY_CHECKSUM`
    `static java.lang.String` | `PROPERTY_INTERCHAR_GAP_WIDTH`
    `static java.lang.String` | `PROPERTY_SHORT_BAR_HEIGHT`

    - ### Fields inherited from class net.sf.jasperreports.components.barcode4j.BarcodeComponent

      `ORIENTATION_DOWN, ORIENTATION_LEFT, ORIENTATION_RIGHT, ORIENTATION_UP, PROPERTY_CODE_EXPRESSION, PROPERTY_EVALUATION_GROUP, PROPERTY_EVALUATION_TIME, PROPERTY_MODULE_WIDTH, PROPERTY_ORIENTATION, PROPERTY_PATTERN_EXPRESSION, PROPERTY_PREFIX, PROPERTY_QUIET_ZONE, PROPERTY_TEXT_POSITION, PROPERTY_VERTICAL_QUIET_ZONE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `POSTNETComponent()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getBaselinePosition()`
    `java.lang.String` | `getChecksumMode()`
    `java.lang.Boolean` | `getDisplayChecksum()`
    `java.lang.Double` | `getIntercharGapWidth()`
    `java.lang.Double` | `getShortBarHeight()`
    `void` | `receive(BarcodeVisitor visitor)`
    `void` | `setBaselinePosition(java.lang.String baselinePosition)`
    `void` | `setChecksumMode(java.lang.String checksumMode)`
    `void` | `setDisplayChecksum(java.lang.Boolean displayChecksum)`
    `void` | `setIntercharGapWidth(java.lang.Double intercharGapWidth)`
    `void` | `setShortBarHeight(java.lang.Double shortBarHeight)`

    - ### Methods inherited from class net.sf.jasperreports.components.barcode4j.BarcodeComponent

      `clone, cloneObject, getCodeExpression, getEvaluationGroup, getEvaluationTimeValue, getEventSupport, getModuleWidth, getOrientation, getPatternExpression, getQuietZone, getTextPosition, getVerticalQuietZone, setCodeExpression, setEvaluationGroup, setEvaluationTimeValue, setModuleWidth, setOrientation, setPatternExpression, setQuietZone, setTextPosition, setTextPosition, setVerticalQuietZone`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PROPERTY_SHORT_BAR_HEIGHT

          public static final java.lang.String PROPERTY_SHORT_BAR_HEIGHT

      See Also:
        Constant Field Values

    - #### PROPERTY_BASELINE_POSITION

          public static final java.lang.String PROPERTY_BASELINE_POSITION

      See Also:
        Constant Field Values

    - #### PROPERTY_CHECKSUM_MODE

          public static final java.lang.String PROPERTY_CHECKSUM_MODE

      See Also:
        Constant Field Values

    - #### PROPERTY_DISPLAY_CHECKSUM

          public static final java.lang.String PROPERTY_DISPLAY_CHECKSUM

      See Also:
        Constant Field Values

    - #### PROPERTY_INTERCHAR_GAP_WIDTH

          public static final java.lang.String PROPERTY_INTERCHAR_GAP_WIDTH

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### POSTNETComponent

          public POSTNETComponent()

  - ### Method Detail

    - #### receive

          public void receive(BarcodeVisitor visitor)

      Specified by:
        `receive` in class `BarcodeComponent`

    - #### getBaselinePosition

          public java.lang.String getBaselinePosition()

    - #### setBaselinePosition

          public void setBaselinePosition(java.lang.String baselinePosition)

    - #### getChecksumMode

          public java.lang.String getChecksumMode()

    - #### setChecksumMode

          public void setChecksumMode(java.lang.String checksumMode)

    - #### getDisplayChecksum

          public java.lang.Boolean getDisplayChecksum()

    - #### setDisplayChecksum

          public void setDisplayChecksum(java.lang.Boolean displayChecksum)

    - #### getIntercharGapWidth

          public java.lang.Double getIntercharGapWidth()

    - #### setIntercharGapWidth

          public void setIntercharGapWidth(java.lang.Double intercharGapWidth)

    - #### getShortBarHeight

          public java.lang.Double getShortBarHeight()

    - #### setShortBarHeight

          public void setShortBarHeight(java.lang.Double shortBarHeight)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com